//
// CIMFeatures.java
//
// The contents of this file are subject to the SNIA Public License Version 1.0
// (the "License"); you may not use this file except in compliance with the
// License. You may obtain a copy of the License at
//
//	http://www.snia.org/resources/openSource.html
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
// License for the specific language governing rights and limitations
// under the License.
//
// The Original Code is CIMFeatures.java
// 
// The Initial Developer of the Original Code is David Simons.
//
// Contributor(s):
//
//
// This source uses the Solaris WBEM APIs dated June 1999. Synchronization
// will be maintained with the Solaris WBEM APIS, which are being
// standardized through the Java Community Process.
//
//
// $Id: CIMFeatures.java,v 1.1 2003/07/17 18:32:55 kumpf Exp $
//
// $Log: CIMFeatures.java,v $
// Revision 1.1  2003/07/17 18:32:55  kumpf
// HP-BAPU: PEP-64 CIM Client and CIM Listener Java Interface
//
// Revision 1.1.1.1  2001/10/31 18:15:14  karl
// import of SNIA 0_7
//
// Revision 1.1  2001/01/07 16:59:43  davidsi
// - Moved from wbem.client package since this is not defined by the
//   WBEM JSR.
//
// Revision 1.5  2000/08/16 05:59:53  shawn
// merge P_TOMCAT31 branch
//
// Revision 1.4.8.1  2000/08/10 00:03:28  shawn
// head merge
//
// Revision 1.4  2000/05/11 10:12:22  davidsi
// - Fixed tabs.
//
// Revision 1.3  2000/05/06 17:04:51  davidsi
// - Brought inline with the SUN WBEM 2.2 APIs.
//
// Revision 1.2  2000/02/13 15:09:26  davidsi
// - Added text to cover re-use of Solaris WBEM APIs.
//
// Revision 1.1.1.1  2000/02/06 16:41:04  davidsi
// Initial version.
//
//
//
package org.snia.wbemcmd.cimom;

import java.util.Enumeration;
import java.util.Vector;
import java.net.MalformedURLException;
import java.io.*;


public class CIMFeatures  {
    protected String cimValidation=null;
    protected boolean basicread=true;
    protected boolean basicwrite=false;
    protected boolean schemamanipulation=false;
    protected boolean instancemanipulation=false;
    protected boolean qualifierdeclaration=false;
    protected boolean associationtraversal=false;
    protected boolean queryexecution=false;
    
    String getCIMValidation() {
	return(cimValidation);
    }
    
    boolean supportsBasicread() {
	return(basicread);
    }
    boolean supportsBasicwrite() {
	return(basicwrite);
    }
    
    boolean supportsSchemamanipulation()  {
	return(schemamanipulation);
    }

    boolean supportsInstancemanipulation()  {
	return(instancemanipulation);
    }

    boolean supportsQualifierdeclaration()  {
	return(qualifierdeclaration);
    }
    boolean supportsAssociationtraversal()  {
	return(associationtraversal);
    }
    boolean supportsQueryexecution() {
	return(queryexecution);
    }
    

}
